> For the complete documentation index, see [llms.txt](https://docs.optty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.optty.com/platforms/salesforce-commerce-cloud/operation-and-management.md).

# Operation and Management

## 3. Operation, Maintenance

### 3.1 Data Storage

This integration requires System Object Extension to store payment related information.

* **Order Custom attributes**

1. isOpttyOrder (Boolean) – True if the order placed by Optty.
2. opttyPaidAmount (Number) – Store paid amount.
3. opttyProviderName (String) – Store the provider’s name.
4. opttyProviderReference (String) – Store the provider’s reference number received from Optty.
5. opttyRefundHistory (Text) – Store refund transaction details.
6. opttyTransactionStatus (String) – Store the transaction status received from Optty.
7. opttyOrderStatus (String) – Store the custom order status.

### 3.2 Logs

This integration introduces few new custom logs.

**1. Optty custom log**

This log file contains all errors related information of the int\_optty\_controllers, int\_optty\_core and bm\_optty cartridges. Example log file:

custom-optty-ecom-sandbox-\<SANDBOX>-appserver-\<DATETIME>.log

**2. Optty service log**

This log contains every request and response to the Optty API endpoint.

To enable these logs, go to Administration > Operations > Services > optty.http.auth/ optty.http.generic and check the Communication Log Enabled preference. Examples of service communication log –

service-optty-ecom-sandbox-\<SANDBOX>-appserver-\<DATETIME>.log

### 3.3 Availability

If the Optty service is unavailable, user cannot see the live widget in storefront and unable to checkout using ‘Optty’ payment method.

The service availability can be tracked in Business Manager (Administration > Operations > Service Status).

### Support

Email: <support@optty.com>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.optty.com/platforms/salesforce-commerce-cloud/operation-and-management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
